#!/bin/bash

fns=('mkncfile_SurfTemp02LST.cntl' 'mkncfile_SurfTemp14LST.cntl' 
     'mkncfile_Temp02LST.cntl'     'mkncfile_Temp14LST.cntl'    
     'mkncfile_DustMaxHeight14LST.cntl'
     'mkncfile_DustMaxHeightDM.cntl'
     'mkncfile_DOD06714LST.cntl'
     'mkncfile_Temp03LST.cntl'     'mkncfile_Temp15LST.cntl'
     'mkncfile_VIH2OVap02LST.cntl'   'mkncfile_VIH2OVap14LST.cntl'
     'mkncfile_VIH2OSolOD02LST.cntl' 'mkncfile_VIH2OSolOD14LST.cntl'
     'mkncfile_QH2OVap03LST.cntl'    'mkncfile_QH2OVap15LST.cntl'
     'mkncfile_QH2OSol03LST.cntl'    'mkncfile_QH2OSol15LST.cntl'
     'mkncfile_DustDensScledOptDep03LST.cntl'
     'mkncfile_DustDensScledOptDep15LST.cntl')

i=0
for fn in ${fns[@]}; do
    echo "fns[$i] = ${fn}"

    tmpfn="tmp_file"

    sed "s#ncfn_in     = '../..#ncfn_in     = '../data_dcpam#g" ${fn} |
	sed -e "s#ncfn_ls     = '../..#ncfn_ls     = '../data_dcpam#g" |
	sed -e "s#2677#670#g" |
	sed -e "s#3345#1339#g" > ${tmpfn}
    mv ${tmpfn} ${fn}

    let i++
done

